{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To create a new agent, send a POST request to `/v2/gen-ai/agents`. The response body contains a JSON object with the newly created agent object.","properties":{"body":{"$ref":"#/definitions/apiCreateAgentInputPublic"}},"required":[],"additionalProperties":false,"definitions":{"apiCreateAgentInputPublic":{"description":"Parameters for Agent Creation","properties":{"anthropic_key_uuid":{"description":"Optional Anthropic API key ID to use with Anthropic models","type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"description":{"description":"A text description of the agent, not used in inference","type":"string","examples":["\"My Agent Description\""]},"instruction":{"description":"Agent instruction. Instructions help your agent to perform its job effectively. See [Write Effective Agent Instructions](https://docs.digitalocean.com/products/genai-platform/concepts/best-practices/#agent-instructions) for best practices.","type":"string","examples":["\"You are an agent who thinks deeply about the world\""]},"knowledge_base_uuid":{"description":"Ids of the knowledge base(s) to attach to the agent","items":{"type":"string","examples":["example string"]},"type":"array","examples":[["example string"]]},"mcp_servers":{"description":"MCP (Model Context Protocol) servers to attach to the agent","items":{"$ref":"#/definitions/apiMcpServer"},"type":"array"},"model_provider_key_uuid":{"type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"model_router_uuid":{"type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"model_uuid":{"description":"Identifier for the foundation model.","type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"name":{"description":"Agent name","type":"string","examples":["\"My Agent\""]},"open_ai_key_uuid":{"description":"Optional OpenAI API key ID to use with OpenAI models","type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"project_id":{"description":"The id of the DigitalOcean project this agent will belong to","type":"string","examples":["\"12345678-1234-1234-1234-123456789012\""]},"reasoning_effort":{"type":"string","examples":["\"low\""]},"region":{"description":"The DigitalOcean region to deploy your agent in","type":"string","examples":["\"tor1\""]},"router_preset_slug":{"type":"string","examples":["\"general\""]},"tags":{"description":"Agent tag to organize related resources","items":{"type":"string","examples":["example string"]},"type":"array","examples":[["example string"]]},"thinking_token_budget":{"type":"integer","examples":[123]},"web_fetch_enabled":{"description":"Whether the agent can use the built-in web_fetch tool to retrieve content from public web pages.","type":"boolean","examples":[true]},"web_search_enabled":{"description":"Whether the agent can use the built-in web_search tool to search the public web for current information.","type":"boolean","examples":[true]},"workspace_uuid":{"description":"Identifier for the workspace","type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]}},"type":"object"},"apiMcpServer":{"description":"McpServer defines a remote MCP server configuration for an agent.","properties":{"allowed_tools":{"description":"Optional list of allowed tool names to expose from this server","items":{"type":"string","examples":["example string"]},"type":"array","examples":[["example string"]]},"authorization":{"description":"Optional authorization header value for the MCP server","type":"string","examples":["example string"]},"headers":{"additionalProperties":{"type":"string","examples":["example string"]},"description":"Optional additional headers to send to the MCP server","type":"object"},"server_label":{"description":"A label identifying this MCP server","type":"string","examples":["example string"]},"server_url":{"description":"The URL of the MCP server","type":"string","examples":["example string"]}},"type":"object"}}},"name":"Create an Agent","id":"digitalocean.genai_create_agent","example":{},"maxRequests":1,"summary":false}}